#
# spec file for package fdk-aac
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fdk-aac
Version:        0.1.6
Release:        2.7
Summary:        A standalone library of the Fraunhofer FDK AAC code from Android
License:        SUSE-NonFree
Group:          System/Libraries
URL:            https://github.com/mstorsjo/fdk-aac
Source0:        https://github.com/mstorsjo/fdk-aac/archive/v%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
A standalone library of the Fraunhofer FDK AAC code from Android

For further information, read:
wiki.hydrogenaud.io/Fraunhofer_FDK_AAC

%package -n libfdk-aac1
Summary:        A standalone library of the Fraunhofer FDK AAC code from Android
Group:          System/Libraries

%description -n libfdk-aac1
A standalone library of the Fraunhofer FDK AAC code from Android

For further information, read:
wiki.hydrogenaud.io/Fraunhofer_FDK_AAC

%package devel
Summary:        Development headers for Fraunhofer FDK AAC
Group:          Development/Libraries/C and C++
Requires:       libfdk-aac1 = %{version}

%description devel
This package provides development headers for Fraunhofer FDK AAC code

%prep
%setup -q
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/g" lib*/src/{*.cpp,version}
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M:%%S')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/g" lib*/src/{*.cpp,version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libfdk-aac1  -p /sbin/ldconfig
%postun -n libfdk-aac1 -p /sbin/ldconfig

%files -n libfdk-aac1
%doc ChangeLog NOTICE
%{_libdir}/libfdk-aac.so.*

%files devel
%{_includedir}/fdk-aac
%{_libdir}/libfdk-aac.so
%{_libdir}/pkgconfig/fdk-aac.pc

%changelog
* Tue May  1 2018 zaitor@opensuse.org
- Update to version 1.6.0:
  + This version is a minor update with a number of crash/fuzz
    fixes only.
- Run spec-cleaner, modernize spec.
* Fri Jan 20 2017 zaitor@opensuse.org
- Update to proper 1.5.0 version.
- Drop _service now that there is a upstream release.
* Fri Nov  4 2016 neutrino8@opensuse.org
- Use a _service file due to no stable tag
- Add baselibs.conf
* Sat Oct 29 2016 neutrino8@gmail.com
- Update to version 0.1.5
- Drop fdk-aac-cpp98 patch. No longer needed
* Wed Nov 19 2014 i@margueirte.su
- fix __DATE__ and __TIME__ warning
* Wed Nov 12 2014 i@margueirte.su
- initial version 0.1.4
